# Adapted from isolinux.cfg in *.iso file

menuentry "TinyCore command line only" --class=core {
	linux  /boot/tinycore/boot/vmlinuz loglevel=3 base
	initrd /boot/tinycore/boot/core.gz
}

menuentry "TinyCore CDE" --class=core {
	linux  /boot/tinycore/boot/vmlinuz loglevel=3 cde
	initrd /boot/tinycore/boot/core.gz
}

# Core Plus
if true; then
	menuentry "Core Plus (default)" --class=core --class=gui {
		# Values for desktop: flwm_outside, jwm, icewm, fluxbox, hackedbox, openbox, flwm
		linux /boot/tinycore/boot/vmlinuz loglevel=3 cde showapps desktop=flwm_topside
		initrd /boot/tinycore/boot/core.gz
	}
	
	menuentry "Core Plus with X/GUI + Wifi + Firmware" --class=core {
		#
		linux /boot/tinycore/boot/vmlinuz loglevel=3 cde showapps lst=xfbase.lst desktop=flwm_topside
		initrd /boot/tinycore/boot/core.gz
	}
fi
